@echo off
setlocal

set TOOLSDIR=%~p0
set PATH=%TOOLSDIR%win32;%PATH%
set SGML_CATALOG_FILES=%TOOLSDIR%..\doc\docbook\xml\4.2\catalog.xml

xmllint.exe --noout --valid --catalogs %1 %2 %3 %4 %5 %6 %7 %8 %9

endlocal
